************************************************************
                      Bureau 13 Hints and Walkthru
************************************************************

Introduction:
-------------
     This walkthrough is divided into two sections. The
first section contains hints for each area. The areas are
not listed in the order that you should go to them. They're
just all there. If you need a hint for a
particular area, just search for that area.
     The second section is a blatant no-nonsense walkthrough
with all the puzzles solved for each character in the order
that you should go.  I wanted to be sure to include the
solves for each character since that's one of the nice
things about the game... the puzzles change depending upon
which characters you've chosen.    Each character also has a
different perspective of things they see or hear. For
example, some computer parts may be easily identified by the
hacker, but the thief won't have a clue what they are.
     If you find any errors or omissions, please e-mail me
at one of the above addresses. I check my ibm.net address
more often (several times a day) than I do my Delphi mail
(about once a day), but either address
will do.   I hope you enjoy this and it helps! Let me know
what you think.  Thanks!

Conventions
-----------
     H - Isaac Richards, the Hacker
     M - Delilah Littlepanther, the Mech
     P - Father Jonathan Blank, the Priest
     T - Jimmy Suttle, the Thief
     V - Alexander Keltin, the Vampire
     W - Selma Gray, the Witch

     In the walk-through section, actions that can be taken
are accompanied by the appropriate letters before the
action, denoting which characters can accomplish the task
(for example: [T] Pick the lock). If
any character can accomplish the task, there is not an
indication (for example: Read the book).


==================
Section #1 - Hints
==================

General Guidelines
------------------
     To start with, make sure you listen to the guy in the
briefing room during the introduction. He tells you to make
sure you don't draw attention to yourself so as not to have
that attention lead back to the
Bureau. This is important, especially if you want to finish
the game with a high score. Leaving doors open to houses
that you've broken into is a sure way of drawing attention
to yourself! Smashing things is
another good way. Killing people is the best way! The Bureau
doesn't like that sort of behavior! :-)
     To get the highest score possible, close everything you
open. Try to leave everything the way you found it. It's not
always possible, but the more you can do it, the higher your
score will be.
     Make sure that you click on everything, read everything
you find, and make a note of it. Most of the information you
come across will eventually be put to use. This isn't always
the case, but... better safe
than sorry, eh!?!
     Save your game often so you can come back to something
if you get stuck (this goes without saying for most
experienced adventure-gamers, but I thought I'd throw it in
anyway). On the same note, PICK UP
EVERYTHING YOU CAN!!! There's no weight limit for any of
your characters. It seems the Bureau only hires agents with
superhuman strength when it comes to carrying things! :-)
     Most of the puzzles have a logical solution. Notice I
said "most." As with almost all adventure games, sometimes
you have to just try stupid stuff! :-)  Okay, here we go!

NEWS VENDING MACHINE
     Search the vending machine. You'll find something with
which to open it. Alternately, the thief is pretty good at
breaking into stuff. The newspaper will tell you about
recent happenings. Take note!
You need to find evidence and clues. Where should you look,
according to the newspaper?
     Check out the boxes and the signs on the wall, too.

OUTSIDE POLICE STATION
     All the garbage is just that - garbage. The Bureau
probably wouldn't want you to play garbage collector.

INSIDE POLICE STATION
     Look at everything. The sargeant seems to be a heavy
smoker, judging from the ashtray. I wonder if he's concerned
about the fire hazard? Of course, there's a fire
extinguisher nearby that he could use, but if it wasn't
available, I guess he'd need to go elsewhere for one. By the
way, I wonder if he's armed? Maybe if there was a way to get
his gun...? Would you need a gun later?
     He won't let you in any of the other rooms, either.
I'll bet there's good stuff in that evidence locker, huh?

SHERIFF'S OFFICE
     Check out the security monitor. It shows the evidence
locker. It probably wouldn't be a good idea, as far as the
Bureau was concerned, to show up on a security video tape
while stealing evidence.
     Be curious enough to search through someone else's
desk. Miss Manners would have a fit, but she's not watching.
What do you suppose the fuse box on the wall controls?

EVIDENCE LOCKER
     Take everything and look at it, read it, whatever.
Since you're not on the security camera, you're at liberty
to snitch whatever you like without penalty (would that life
were so easy!).

OUTSIDE RICK'S ELECTRONICS
     You'd probably like to get inside, wouldn't you?
Thieves and misting vampires make it easy to get into
places, but the others have no such "breaking and entering"
prowess. The plate glass door doesn't look
like it would stand up to much, does it?

INSIDE RICK'S ELECTRONICS
     Junk, junk everywhere! You'll find all kinds of useful
things inside the store. Search everything. Take everything
you can. Open things. Use things.  If you're in desparate
need of some easy cash, I'll bet there's a
lot of cash in the register. Rick must do a pretty good
business since he doesn't seem to have time to tidy up.
     Those cassette tapes might be interesting to listen to,
as well.

OUTSIDE AI CORPORATE HEADQUARTERS
     Pretty tough security lock on the door. Seems to have
good weather stripping, too. Even the vampire can't mist
through the cracks!  Go ahead and push on the buzzer. Talk
to and look at the guard when
he opens the door. He's not too bright. Maybe that could
work to your advantage.
     Witches have a way of "divining" certain things (like
security codes). Sorry. That's sort of a spoiler, but I
couldn't help myself.

BEHIND AI BUILDING
     Not much here but a big old dumpster. Check it out,
though. You never know what you might come across rooting
through someone's trash. Ignore the cat for now. You'll see
it later.

INSIDE AI CORPORATE HEADQUARTERS - SECRETARY'S DESK
Lotsa stuff here! Look around. Take and read everything. If
you don't, you'll be an unhappy camper later!

SECURITY OFFICE
Check out those videotapes! Nothing exciting for the most
part, but you should probably hang onto them.

TED SIMPSON'S OFFICE
Nice office, eh? (It's just like mine, by the way. NOT!)
Most of the stuff is pretty mundane. I wonder what that
button's for? Think about where someone might hide valuable
stuff (think of classic movie
stuff).  It seems that remote control has no battery. You'll
need one and it's in the room.

GYM AND MESSENGER SERVICE
     Nothing's outside, it seems, except for that
scaffolding between the windows upstairs.

INSIDE MESSENGER SERVICE
Messenger-man seems to be more interested in the ponies than
he does in conducting business, but he still won't let you
go upstairs...  unless there's some sneaky way to get by
him.

DELIVERY BOYS' LOCKERS
     There's probably a bunch of useful stuff in the
lockers. They're sort of a mess behind them, though. It's
kind of tough to see in the dark, isn't it? That fuse panel
must be blown.

INSIDE GYM
Sorry guys. It's the WOMEN'S locker room. Ladies, go right
in. The attendant must work two jobs, 'cause she keeps
leaving. Not a high security gym, if you ask me.

INSIDE WOMEN'S LOCKER ROOM
Guys, if you're in here and the women see you, they'll
probably kick you out. There must be some way to conceal
yourself, so that woman in the shower doesn't scream (it's
not here, though).

OUTSIDE HOSPITAL
     Just go inside.

INSIDE HOSPITAL
The guard is a tough character. Best not mess with him.
Check out that crash cart, though. It's strange how dry ice
doesn't vaporize when it's sitting in the open like that
(that's why they call it "interactive
FICTION"). I'll bet if you put that dry ice somewhere where
there's water...

USED RV LOT
The Bureau must use some pretty good security to protect
their vehicles. It seems there's no way to jimmy the lock
and get in. What kind of lock is that, anyway?

OUTSIDE AMERICAN TEMPORARY STORAGE
     Nothing here but a pretty sign. :-)

INSIDE AMERICAN TEMPORARY STORAGE
The kid's gonna ruin his ears. What's that music he's
listening to? I'll bet you'd like to hear that band live,
huh?      Regardless of his musical listening habits, he
seems pretty stubborn when it comes to letting federal
agents in the safe. I guess you'll have to use the proper
channels to gain entrance. How do you
suppose the safe-deposit boxes are opened?

IN THE RV
Did you find anything in the RV? It has critical information
to your investigation.

____________________________________


AI MANUFACTURING PLANT - FROM THE RV

RV PARKING SPOT
     That's all. Just a parking spot.

FOREST ROAD
     Notice a truck goes by every now and then (Nice trees,
too, if you're a nature lover).

CLEARING
Looks like a storm has passed through. That big branch on
the ground looks pretty heavy, but I'll bet you could carry
it anyway (remember that "superhuman strength" comment I
made earlier!).

AI MANUFACTURING PLANT
Pretty nastly looking fence. I don't think I'd wanna touch
it. That gate looks too tough to open, even for a thief.
Those delivery trucks don't seem to have a problem, though.
If you could just get into one of those trucks...

AI PLANT SOUTHWEST CORNER
     Nice view. That scaffolding looks like it could easily
hold two people.

INSIDE MAIN GATE
The scaffolding obviously doesn't work. Hmmpf! (You can't
get in the truck again, either, so don't even try!)

IN LOADING BAY
     Take whatever you can (as always)! What's that fuse box
on the wall for?

SCAFFOLDING
     It goes up.

CORRIDOR
What's behind door #1 or door #2? It seems like you don't
have clearance to get inside either one. Do you feel a
breeze from gaps between the door and the frame?

LEVEL 4 ELECTRONIC STOCKROOM
Lots of junk in bins. Is it useful? It sure is, if you're in
the top secret weapons manufacturing business... otherwise,
no. he keypad at the elevator seems to be jury-rigged. Code!
Code! I need a code!

SECURED CORRIDOR
     The sign says "Danger," but do you see why? Better make
sure the coast is clear!

SECURED LABORATORY
     Creepy place. Interesting book. Are the names of those
people in the book important? (Duh.)

LEVEL 6 GUARD POST
This guard is putting down coffee like there's no tomorrow.
He'll never fall asleep! Maybe he'll have to go to the
bathroom soon, though.  This place is the kind of place that
would have secret passages all over the place.

LOCKED OFFICE/PROGRAMMER'S ROOM
She's dead to the world. Ted Simpson must really overwork
this woman. I wonder how you can wake her up? I'll bet she's
got some information that would certainly be helpful



CORRIDOR TO EMP LAB
The programmer probably has information about how to get
into that lab. There are probably more secret passages here,
too.

INSIDE EMP LAB
This must be the device that the programmer talked about. I
guess I'd better use it somewhere to stop that virus. I
wonder if this thing can be recharged?

CORRIDOR TO SIMPSON'S OFFICE
Another door that needs a scancard pass. Well, you should
have three of them by this time. One of them ought to work.

TED SIMPSON'S OFFICE
This is as nice as the one at AI Corporate Headquarters!
This guy must really rake in the bucks! I wonder if it's got
the same gadgets in it that his other office has?

MAINFRAME ANTECHAMBER
Oh sure! Another voice lock! And you without a VCR. I guess
you'll have to disable the electronic computer lock another
way. What was it the programmer said this EMP thing does? I
wonder if it will damage
anything when I use it? It would be terrible if that door
got screwed up. Then you'd have to find another way into the
mainframe room.

MAINFRAME ROOM
So here's the big computer! Ted Simpson doesn't look too
good, but from the looks of the monitor behind him, he got
the job done.  Have you even been in Virtual Reality? Have
you even been in Virtual Reality when there's a killer
computer virus on the loose who's not looking out for  your
best interests?

IN VIRTUAL REALITY
Man, does this virus have a sharp eye! He won't let you
anywhere near that terminal! Hmmm... How can I blind this
thing?


_________________________
THE SUBURBS (from the RV)

ELM STREET
Nice family house. Does the family's name ring a bell? The
Bureau probably wounldn't approve of your just breaking into
people's houses if it wasn't critical to your
investigation... but it is kind of fun!

DOGWOOD DRIVE - EDDIE HOUSTON'S HOUSE
You'll need to gain entrance, obviously, before you can get
anything juicy. Hmmm... Would a thief help? A vampire? A
mech? If you can't get in, don't fret. You'll find a way to
get your way in, "bar"ring anything unfortunate happening.

EDDIE HOUSTON'S LIVING ROOM
Is this guy a slob or what!?! There's lots of worthless junk
and garbage in this house. Take what you can. Someone might
think it's useful!  Remember what the RV database said about
Eddie Houston? Maybe you
can find some of his stuff that he uses to hunt vampires.

EDDIE HOUSTON'S KITCHEN
This guy has a door to his kitchen and he leaves it open! I
guess that's consistent with the rest of his surroundings.
Something in this place makes me think of that kid at
American Temporary Storage and the
music he was listening to.

DOGWOOD DRIVE - DENNIS STERLING'S HOUSE
Now THIS house is more like it! This guy has some class! If
you got into Eddie Houston's house, you'll have no problem
getting in this one.

DENNIS STERLING'S LIVING ROOM
Nice furniture! Is that real leather on that couch? (It's
just like the one I have at home...) Is his answering on?
Are there any messages?

DENNIS STERLING'S BEDROOM
     Hey! Hey! You're getting a little personal here, aren't
you?

DENNIS STERLING'S GARAGE
It seems the man has good taste in cars as well as
furniture! He keeps his place a little neater than Eddie
Houston, doesn't he?! I wonder if the inside of the cabinets
are as tidy as the rest of the garage?

LIBRARY PARKING LOT
That car sure looks beat up. Noone in their right mind would
leave anything of value in a car like that in the middle of
the night, right?  Have you gotten into Eddie Houston and
Dean Sterling's houses yet? Why
not? Doors locked? These are prying times we live in. (No,
it's not a typo, but it's pretty bad, huh? :-) )

FRONT OF LIBRARY
Did you only ever use the book return bins outside the
library when you knew your books were overdue and you didn't
feel like fessing up at the moment? No? (No Dan, just you.)
Maybe someone else felt that
way, too. I'll bet that book return bin opens up just like a
house does.

INSIDE LIBRARY
Those damn computers in the libraries. The keys are always
color-coded to the commands and someone always peels off the
color stickers. :-)  What do you need to look up in the
computer? Need some specific
books? It's a pretty big library. You might not find the
right one just by browsing.

LIBRARY BASEMENT
Books, books, and more books. Unless you know exactly what
you're looking for and where to look, it doesn't seem like
there's much hope in finding it.

FRONT OF SCHOOL
Looks just like my Junior High School looked. Students use
libraries a lot, don't they (theoretically). If you could
get inside, you might find something to confirm this fact.
Check out the windows.

INSIDE LIBRARY
Most of these classrooms seem to be shut and locked. The one
up the hall, however, is yours for the taking!

INSIDE CLASSROOM
Do they still use those flip-top desks for kids? The teacher
has a REAL desk and there's stuff on it, too! Maybe you can
confirm that "library-student" thing.

CARVER'S BAR
Not much business here, is there? Maybe it's because the
bartender isn't too friendly. Perhaps if you come back
later, there'll be more customers.

BASEMENT OF CARVER'S BAR
It's a recovering alchoholic's nightmare!!! Too bad you
can't take some of this stuff with you. It looks like a good
place to go if you want to be alone, though.


STALKER'S PARKING LOT
Nice car. I wonder if there's anything in that bus? There
must be lot of room in that baggage compartment in the back
since the band is playing inside and all there stuff has
been removed.

FRONT OF STALKER'S NIGHTCLUB
That ticket guy seems to be pretty adamant about making sure
you've got a ticket. After all, Mike and The Nightstalkers
are a pretty popular band.

INSIDE STALKER'S
You'd think there'd be more of a crowd, since they're so
popular, huh? That guy up front seems to be enjoying the
show, though. Everyone else seems to be doped up.

BACKSTAGE AT STALKER'S
This guy's not much of a bouncer, is he? He's mumbling crazy
stuff, it sounds like. I wonder who nailed him?

DRESSING ROOM AT STALKER'S
It's where all the groupies want to be!!! I'll bet if they
were there without the band, they want to take something for
a souvenir!    Cool coffin. The band's got a wierd schtick,
but they've got cool props.

OUTSIDE HERBALIST'S SHOP
     Is this one of those health food places?

INSIDE HERBALIST'S SHOP
There's all kinds of stuff lying around for sale. The
shopkeeper seems to have no problem giving away free
samples, though.    The amulet on the counter looks like it
might be pretty valuable. Since the shopkeeper gave you all
the other stuff for free, don't you thnk you shouldn't be
too greedy? Maybe you outta leave her something?!

SIXTH STREET
     What a mess! I guess the garbage men don't visit this
part of town.
     Read all the posters.

INSIDE GANG HIDEOUT
This guy looks like a druggie. You'd better take his stash
so he won't be tempted and he can recover. Isn't Sixth
Street the hangout of Sawbuck (Clyde Carver)? Maybe this guy
knows where he is.

THE CEMETARY (from the RV)

RV PARKING SPOT
     That's all.

THE PARK
Nice and peaceful. According to the statue's plaque,
Statusburg has been around for some time now!
     Can you identify any of these plants?

OUTSIDE THE CHURCH
It's supposedly a wonderful church, but it looks kind of
creepy at night, doesn't it?

INSIDE THE CHURCH - SANCTUARY
Looks like a pretty standard church to me. The father seems
to be staying up a little late, doesn't he?


CHURCH KITCHEN
The father must not be much of a cook. It looks like he cut
himself at the kitchen counter. There's blood everywhere!

CHURCH BEDROOM
Simple living quarters. I don't know if I'd want that view
out my back windows though... creepy!
We're hunting demons, right? Symbols of holiness might be of
assistance in the investigation. The floor sounds a little
hollow in places. Shoddy construction?

CEMETARY GATES
From the looks of that tombstone, there's probably some
demonic activity going on. I wonder who's in that grave?
(Hey, you probably took the crucifix from the church, you
might as well try grave robbing!)  It's been said that a
crucifix is a good thing to have at the ready when you're in
creepy graveyards at night. It might scare away demons.

BACK OF CEMETARY
     It's the back of the cemetary.

OUTSIDE VERONICA COTTON'S HOUSE
The door's open. She must be home. This place looks like it
should be made out of gingerbread.

INSIDE VERONICA COTTON'S HOUSE
Wow, is this woman powerful! I'll bet, in a fair fight, she
could even take out Samantha Stevens! I wonder what gives
her her power? Maybe if her power source was far away, she
wouldn't be so tough.

THE MAUSOLEUMS
The cemetary just keeps getting creepier and creepier. Isn't
this the view from the church bedroom? *Shiver*  That
mausoleum in the back is even open!

INSIDE THE MAUSOLEUM
What was the grave robbing comment I made earlier? It seems
someone beat you to it... and to make matters worse, the
door disappeared!!! Aaaaargh! I think Stellerex is baiting
you!  Remember that Stellerex is the master of illusion and
deception.  Things aren't always as they seem. Think about
the layout of the
mausoleum. Is there someplace that should be accessible that
isn't (other than outside)?



=============================
Section #2 - The walk-through
=============================

NEWS VENDING MACHINE
Get the newspaper:
     Search the coin slot. You'll find a quarter. Put it in
the machine and open it. Take a newspaper. Read it.
     Alternate ways of getting the newspaper.
     [T] Pick the lock and open it.
     [M] Smash the vending machine and take a paper.

OUTSIDE POLICE STATION
     Go inside.

INSIDE POLICE STATION
     [T] Pick the sargeant's pocket to get the gun.
Take the superglue and glue the fire exinguisher door shut
and then push the ashtray into the trashcan.
SHERIFF'S OFFICE
Open the sheriff's desk and take his keys. Open the fuse
box. Take the spare fuse. Push the lever to shut off the
power. [W] Cast a light spell to see better. The thief
doesn't need light because he's used to working in the dark.

EVIDENCE LOCKER
Unlock the door with the sheriff's keys. Go in and take the
camera, the police report, and the bomb fragments. Read the
report and look at the fragments.

OUTSIDE RICK'S ELECTRONICS
To get inside:
     [T] Pick the lock
     [V] Mist in.
     [M] Smash the door in. (kinda fun!)
     Search the wall of the store. You'll find a brick.
Throw it through the plate glass window. (Surprisingly
enough, you don't lose points for this.)

INSIDE RICK'S ELECTRONICS
     Take the wire cutters. Take the cassette tapes on the
desk. Search the desk to find another tape. Play the tapes.
Open the filing cabinet and take the customer records file.
     To get some money:
     [T] Pick the lock on the cash register.
     [M] Smash the register.

OUTSIDE AI CORPORATE HEADQUARTERS
     Unless you have the witch, you'll need to go behind the
building to search the dumpster for an empty box (see
below). Once you have the box, press the doorbell. The guard
will open the door. Show him the package. He'll tell you
leave it on Mr. Simpson's desk. You can then go inside (the
guard doesn't seem to care if you wander around once you're
inside).
     [W] Cast a divination spell. The lock's code will be
revealed.

BEHIND AI BUILDING
     Open the dumpster. Ignore the cat. Search the dumpster
to find the small package (empty box) addressed to Ted
Simpson. Use the box to trick the stupid guard out front.

INSIDE AI CORPORATE HEADQUARTERS - SECRETARY'S DESK
Take the note. Read it. It mentions a keycode 2112. Open the
copy machine and take and read that paper, too.

SECURITY OFFICE
     Take the video tapes.

TED SIMPSON'S OFFICE
Open the smoke detector and take out the battery. Get the
remote control and put the battery in it. Press the button
on the desk. Open the painting. Put video tape #3 in the VCR
and use the remote to start
it. The safe will open. Get the tape in the safe and put it
in the VCR.  Use the remote again.

INSIDE MESSENGER SERVICE
(Go to the News Vending Machine and then the left of the
screen.)
[T] Sneak upstairs into the Delivery boys' locker room.
Unless you have the thief, you can't go upstairs directly.
You need to get there via the gym (see below).



INSIDE GYM
[W,M] Go into the women's locker room. [H,T,P] Go to the
hospital and get the dry ice from the crash cart. Go back to
the gym and wait for the gym attendant to leave the room and
then throw the dry ice in the
locker room to steam the place up. Go inside. [V] Wait for
the gym attendant to leave, go "mist form" and go into the
locker room.

INSIDE WOMEN'S LOCKER ROOM
Go through the window at the far end of the locker room.
This will put you in the DELIVERY BOYS' LOCKER ROOM.

DELIVERY BOYS' LOCKERS
Open the fuse box and take out the bad fuse. Put the new one
that you got in the sheriff's office in the fuse box. The
lights come on. Search the locker to the right of the
fusebox. You'll find J.P. Withers'
delivery jacket. Search the jacket to get his van keys.
Search the lockers at the right of the screen to find the
gloves. Take the trashcan.

AMERICAN TEMPORARY STORAGE (ATS)
(Go to Rick's Electronics, then the Used RV Lot, then ATS.)
Show J.P.'s van keys to the attendant. He'll get your stuff.
Look in the box and take everything.
     [H] Build a bomb with the components by tinkering with
any one of them.

USED RV LOT
Use the scancard to get into the RV, then get out. You'll
have J.P. Withers's Battle Journal. Read it. Unless you have
the vampire, go to the hospital and get the Level 4 scancard
from the sheriff (it will happen automatically. You'll meet
J.P., too). Go back to the RV. Use autodrive to go to the AI
manufacturing plant.

CLEARING IN THE WOODS
     Get the branch.

FOREST ROAD
Put the branch in the middle of the road. When the truck
stops and the driver leaves to move the branch, get in the
truck.

LOADING BAY
Open the loading bay door and go inside. Get the wood saw.
Open the fuse box and turn on the power by pushing it. Go
outside.

SCAFFOLDING TO CORRIDOR
     Take the scaffolding up to the corridor with the Level
4 and Level 6 security doors.
     [V] Mist through the Level 4 door.
     All others must first go back to the hospital to visit
the sheriff. He'll give you a Level 4 passcard with which
you can open the Level 4 door.

ELECTRONIC STOCK ROOM
     Push the control panel by the elevator and enter the
code "2112" into the keypad. The elevator is now active.
Take it down to the secured corridor.

SECURED CORRIDOR
Use the wire-cutters from Rick's Electronics to cut the trip
wire. Open the door to the Secured Laboratory.

SECURED LABORATORY
     Get the drone ledger. Read it. Go back to the RV.


RV
     Enter these names into the RV database: Cotton,
Houston, Sterling, Carver (Sawbuck and Carver are the same
person). You'll now have a new location that you can auto-
drive to (The Suburbs). Go there.

LIBRARY PARKING LOT
(Go left two times: Dogwood Dr., Dogwood Dr., Parking Lot)
Open the back of the parked car. Get the crowbar and the
flashlight. Go back to the RV and go right to Elm Street.

ELM STREET
Use the crowbar to break the lock on the door. Go inside and
pick up the book. Read it.
Alternately, once you learn about the family and the book
(from the school and library) you can [M] smash the door or
[T] pick the lock to get inside. You can't do that before
you learn about the book because
the Bureau doesn't support illegal actions unless it helps
the investigation.

DOGWOOD DRIVE - EDDIE HOUSTON'S HOUSE
(The first house left of the RV)
     Pry open the door, [T] pick the lock, [M] Smash the
door, or [V] mist inside.

EDDIE HOUSTON'S LIVING ROOM
Get the vampire hunter's kit (green bag). Search it to find
the shovel, garlic, and stake. Go into the kitchen

EDDIE HOUSTON'S KITCHEN
Close the door. Search the garbage to find a ticket to see
Mike and the Nightstalkers. Leave the house

DOGWOOD DRIVE - DENNIS STERLING'S HOUSE
(the second house left of the RV)
     Pry open the door, [T] pick the lock, [M] smash the
door, or [V] mist inside.

DENNIS STERLING'S LIVING ROOM
     Play the answering machine (push on it). Go into the
garage.

DENNIS STERLING'S GARAGE
Open the 2nd cabinet door. Take the book on bombs. Read it.
Open the 5th cabinet. Take the radio (it seems to have no
purpose other than play music). Leave

FRONT OF LIBRARY
(through Library parking lot)
Pry open the book return, [T] pick the lock on the book
return, or [M] smash the book return. Get the book on
Botany. Read it. Pry open the library door, [T] pick the
lock, [M] smash the door, or [V] mist inside.

INSIDE LIBRARY
[H] Hack the computer. Turn on the computer. Enter "demons"
at the console. Go downstairs.

LIBRARY BASEMENT
Search the second shelf of books. You'll find that the book
on demonology is checked out.

FRONT OF SCHOOL
Two ways to get in:
     Open the unlocked window
     Pry open the door, [T] pick the lock, [M] smash the
door, or  [V] mist inside.
If you went through the door, go into the classroom in the
back. If you went through the window, you'll already be in
the classroom.

INSIDE THE CLASSROOM
Get the assignment list from the teacher's desk. Read it.
(This is what lets you break into the Gembeck's house on Elm
street if you don't have the crowbar.) Leave

FRONT OF STALKER'S NIGHTCLUB
(Past Carver's Bar and Stalker's parking lot)
     Go backstage through the door at the front right of the
room.

DRESSING ROOM
(through backstage hallway)
Search the coffin for the garlic and the note. Read the
note. Leave

SIXTH STREET
(past the Herbalist's shop)
     Search the ballet poster. Open it. Go inside the gang
hideout.

INSIDE GANG HIDEOUT
Ask the guy about the location of Sawbuck (Clyde Carver).
Get the stimulants and the depressants. Leave. Go to
Stalker's parking lot.

STALKER'S PARKING LOT
Open the bus. Search Eddie Houston to remove the drone chip.
Go to Carver's Bar.

CARVER'S BAR
Click on Sawbuck six times until he's out of bullets. (You
can attack him and kill him, too, but you lose points.)
Follow him into the basement.

BASEMENT OF CARVER'S BAR
Search Sawbuck to remove the drone chip. Go to the
Herbalist's shop. Get the healing powder, the warding charm,
the sleeping drug, and the love potion. Pick up the amulet
next to the cash register.  When Veronica Cotton appears and
asks if you want to see her, agree with her. She says she'll
send Elmo. Give the amulet back to the herbalist woman. Go
outside. Follow the cat, but don't get ahead of it.  Let it
leave the screen before you follow. It will wait. It will
lead you back to the RV.

AT THE RV
A message will appear to tell you to follow the cat to the
cemetary. Ignore it for now.
Search Dennis Sterling to remove the chip. He'll tell you he
rigged the RV to explode. Disable the bomb with the wire-
cutters. Get in the RV and drive to the cemetary. Elmo the
cat will be waiting for you.
Follow him to Veronica Cotton's house.

VERONICA COTTON'S HOUSE
Go inside (the door's not locked). As she's speaking to you,
search her to remove the drone chip. If she sends you back
to the RV (magically), try again. If you still have the
amulet from the herbalist, she'll keep sending you back. You
have to go inside without the amulet.  If you have the
amulet, split up your characters and leave one at the RV. Go
inside her house with the other one and you'll be able to
search her.  After you remove the chip, Stellerex will
appear to you and he'll be pissed. Go to the cemetary gates.

CEMETARY GATES
Stellerex will be there screaming threats. Ignore him. Use
the camera to take a picture. Use the shovel from Eddie
Houston's vampire hunter's kit to dig just behind the marked
gravestone. Take a finger bone from the body in the grave.
This guy was a convicted murderer. Go to the park (past the
RV).


PARK
Search the tree. You'll recognize it as a dogwood tree if
you read the Book on Botany. Use the saw from the AI
Manufacturing Plant to cut of a limb, then use the saw on
the limb to cut off a small disk. Go to the church and go
inside.

INSIDE THE CHURCH
     Go into the church kitchen through the door on the
right.

CHURCH KITCHEN
Dip the finger bone into the blood on the kitchen counter.
It's the priest's blood. He's a virgin. Use the finger bone
on the dogwood disc to create a disc to bind a demon. It
will glow with a faint blue light (from the description, not
actually on the screen) if you do it properly. Go into the
bedroom through the door on the right.

CHURCH BEDROOM
Get the crucifix off the wall. Search the floor at the foot
of the bed. Open the trapdoor and take the Tome of
Banishment. Read it. Leave and go back to the cemetary
gates.

CEMETARY GATES.
Stellerex will have a different message now that  you have
all the powerful demon-banishing stuff. Scare him away with
the crucifix. You can now go to the mausoleums on the left
side of the screen.

MAUSOLEUMS
     Open the door of the mausoleum in the back. Go inside.

INSIDE THE MAUSOLEUM
Relative to the screen, go down, right, right, and up. Click
on the left wall of the chamber. You'll go through the wall
and will automatically banish Stellerex assuming you have
the prepared dogwood disc and the Tome of Banishment. He'll
give you a Level 6 passcard and will send you back outside
the mausoleum.
Go back to the RV and drive to the AI Manufacturing Plant.
Go up the scaffolding again to the corridor.

CORRIDOR
     Use the Level 6 passcard to open the door on the right.
Go in.

LEVEL 6 GUARD POST
Stay behind the filing cabinet until the guard has to leave
for the bathroom. Put the depressants in his coffee. Leave.
Come back. He'll be unconcious. Search him to get a Level 7
passcard. Open the door to the locked offic with the
passcard.

LOCKED OFFICE/PROGRAMMER'S ROOM
Give the stimulants to the programmer. Talk to her. She'll
tell you all about the virus and give you the security
cipher-code to the EMP lab. You don't have to write it down.
Go into the corridor on the right.

CORRIDOR TO EMP LAB
Open the door to the EMP lab. It should open automatically
if you've listened to the programmer.

IN THE EMP LAB
     Get the EMP device. Go back out to the corridor.

CORRIDOR TO EMP LAB (again)
Go through the passageway on the bottom left of the screen.
You'll be in another corridor that leads to Ted Simpson's
office.

CORRIDOR TO SIMPSON'S OFFICE
     Use the Level 7 passcard to open to door.

TED SIMPSON'S OFFICE
Push the statue on the desk. A passageway will open behind
the desk. Go into the mainframe antechamber.

MAINFRAME ANTECHAMBER
Use the EMP device to shut down the security locks. It will
damage the door to the mainframe room, so you can't get in
that way.  Go back to the EMP lab and recharge the EMP
device by clicking on the pedastal where you found it.  Go
back to the Level 6 Guard Room.

LEVEL 6 GUARD ROOM (again)
Search the panel at the bottom left of the screen. You'll
find an access tunnel to the mainframe computer. (The
program says it's locked, but it isn't anymore, assuming you
used the EMP device already.) Go into
the mainframe room.

MAINFRAME ROOM
Talk to Ted Simpson. He'll give you a code for disabling the
virus. With your character who's carrying the EMP device,
sit in the VR chair by clicking on it. You'll go into VR.

IN VR
Listen to the virus doing his scare dialog and then use the
EMP device (that'll shut him up! :-) ). Push the computer
panel at the left of the screen and everything will blow up.
You'll go back into reality with your other character and
the game is over.  It's got a pretty cheesy ending. A lot of
people are bitching about that.

     Ta-dah! You've won!


--
